#prime_numbers
# Example code for the primesieve library
# https://github.com/hickford/primesieve-python
#
# LAST UPDATED by Andy French Feb 2018

#Import library
import primesieve as p

#Display greeting message
print(" Demonstration of Python primesieve library ")
print(" By Dr Andrew French. February 2018")

# Get a list of the primes <= 40
print( "\n  Primes less than 40 are: \n " + str( p.primes(40) ) )

# Get a list of the primes between 100 and 120
print( "\n  List of primes between 100 and 120 are: \n " + str( p.primes(100, 120) ) )

# Get a list of the first 10 primes
print( "\n  First 10 primes are: \n " + str( p.n_primes(10) ) )

# Get a list of the first 10 primes >= 1000
print( "\n  First 10 primes >=1000 are : \n " + str( p.n_primes(10, 1000) ) )

# Get the 10th prime
print( "\n  The 10th prime is " + str( p.nth_prime(10) ) )

# Count the primes below 10**9
print( "\n  The number of primes below 1 billion is " + str( p.count_primes(10**9) ) )

#Wait for user input before closing window
input("\n Press return to close ")

#End of code
